Main Page Groups Namespaces

# sigc::is_base_and_derived< T_base, T_derived > Struct Template Reference

From Esa Pulkkin: Compile-time determination of base-class relationship in C++ (adapted to match the syntax of boost's type_traits library). More...

List of all members.

## Static Public Attributes

const bool | value

## Detailed Description

### template <class T_base, class T_derived>
struct sigc::is_base_and_derived< T_base, T_derived >

From Esa Pulkkin: Compile-time determination of base-class relationship in C++ (adapted to match the syntax of boost's type_traits library).

## Member Data Documentation

template <class T_base, class T_derived>
const bool sigc::is_base_and_derived<T_base, T_derived>::value `[static]`

Initial value:

        sizeof(test::is_base_class_((typename type_trait<T_derived>::pointer)0)) ==
        sizeof(char)

The documentation for this struct was generated from the following file:

- type_traits.h